name: dropshell-build
run-name: Build test and publish dropshell-build

on: [push]

defaults:
  run:
    shell: bash

jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout
        uses: actions/checkout@v4
      - name: Login to Gitea
        uses: docker/login-action@v3
        with:
          registry: gitea.jde.nz
          username: DoesntMatter
          password: ${{ secrets.DOCKER_PUSH_TOKEN }}
      - name: Build
        run: |
          ./build.sh
      - name: Test
        run: |
          ./test.sh
      - name: Publish
        run: |
          SOS_WRITE_TOKEN=${{ secrets.SOS_WRITE_TOKEN }} ./publish.sh
